# =========================================================================== #
# Gemspec for Project HardwareInformation.
# =========================================================================== #
require 'hardware_information/version/version.rb'
require 'roebe/toplevel_methods/misc.rb'

Gem::Specification.new { |s|

  s.name    = 'hardware_information'
  s.version = HardwareInformation::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')
  
  s.summary = <<-EOF

This small class will output Information about your hardware,
i.e. the Processor type and so on. It is supposed to be 
a really small gem.

  EOF
  
  s.description = <<-EOF

This small class will output Information about your hardware,
i.e. the Processor type and so on. It is supposed to be 
a really small gem.

  EOF

  s.authors   = ['Robert A. Heiler']
  s.email     = 'shevegen@gmail.com'
  s.files     = Dir['**/*']
  s.homepage  = 'http://rubygems.org/gems/environment_information'
  s.license   = 'GPL-2.0'

  s.required_ruby_version     = '>= '+Roebe.second_most_stable_version_of_ruby
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # ============================================================== #
  # Dependencies
  # ============================================================== #
  s.add_dependency 'colours'

}